Bug 1643862 - Fedora-netinst to disk fails (EFI)
Summary: Fedora-netinst to disk fails (EFI)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-29 09:14 UTC by homann.philipp
Modified: 2018-12-01 20:40 UTC (History)
8 users (show)

Fixed In Version: livecd-tools-26.0-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-01 02:05:40 UTC
Type: Bug


Attachments (Terms of Use)

Description homann.philipp 2018-10-29 09:14:01 UTC
Description of problem:
Putting the latest Fedora 28 netinst iso to a disk fails with:
No BOOT*.EFI found in eltorito image. EFI will not boot
This is caused by "test -f" with more than one value (boot*.efi).

This problem is solved for over a year in https://github.com/livecd-tools/livecd-tools.
When fixing this issue manually it fails with:
cp: der Aufruf von stat für '/run/tgttmp.l49yMD/EFI/BOOT/BOOTia32.conf' ist nicht möglich: No such file or directory
Which is also fixed in git.

Version-Release number of selected component (if applicable):
livecd-iso-to-mediums-25.0-6.fc28.x86_64

Steps to Reproduce:
1. Download latest Fedora-netinst-28.iso
2. Install latest livecd-to-medium
3. Run: sudo livecd-iso-to-disk --efi ~/Downloads/Fedora-Server-netinst-x86_64-28-1.1.iso /dev/sdX1

Actual results:
No BOOT*.EFI found in eltorito image. EFI will not boot

Expected results:
No errors

Additional info:

Comment 1 Fedora Update System 2018-11-24 01:26:04 UTC
livecd-tools-26.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d6f79359e

Comment 2 Fedora Update System 2018-11-24 01:35:53 UTC
appliance-tools-009.0-4.fc29 livecd-tools-26.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d6f79359e

Comment 3 Fedora Update System 2018-11-24 01:36:39 UTC
livecd-tools-26.0-2.fc28 appliance-tools-009.0-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a839dc3971

Comment 4 Fedora Update System 2018-11-25 04:08:56 UTC
appliance-tools-009.0-4.fc28, livecd-tools-26.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a839dc3971

Comment 5 Fedora Update System 2018-11-25 04:44:49 UTC
appliance-tools-009.0-4.fc29, livecd-tools-26.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d6f79359e

Comment 6 Fedora Update System 2018-12-01 02:05:40 UTC
appliance-tools-009.0-4.fc28, livecd-tools-26.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-12-01 20:40:42 UTC
appliance-tools-009.0-4.fc29, livecd-tools-26.0-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.